<?php
namespace App\Domains\Config\Services;

use App\Core\Service;
use App\Domains\Config\Repositories\ConfigRepository;

class ConfigService extends Service
{
    protected $configRepository;

    /**
     * 构造函数
     *
     * @return void
     */
    public function __construct(ConfigRepository $configRepository)
    {
        $this->configRepository = $configRepository;
    }

    public function get($key = null)
    {
        return $this->configRepository->configGet($key);
    }

    public function set($key, $value)
    {
        return $this->configRepository->configSet($key, $value);
    }

    public function remove($key)
    {
        // return $this->configRepository->remove($key);
    }
}
